## ENameSelectorEntry

ENameSelectorEntry

## Functions

GtkWidget * | e_name_selector_entry_new ()
EClientCache * | e_name_selector_entry_ref_client_cache ()
void | e_name_selector_entry_set_client_cache ()
gint | e_name_selector_entry_get_minimum_query_length ()
void | e_name_selector_entry_set_minimum_query_length ()
gboolean | e_name_selector_entry_get_show_address ()
void | e_name_selector_entry_set_show_address ()
EContactStore * | e_name_selector_entry_peek_contact_store ()
void | e_name_selector_entry_set_contact_store ()
EDestinationStore * | e_name_selector_entry_peek_destination_store ()
void | e_name_selector_entry_set_destination_store ()
EDestination * | e_name_selector_entry_get_popup_destination ()
void | e_name_selector_entry_set_contact_editor_func ()
void | e_name_selector_entry_set_contact_list_editor_func ()
gchar * | ens_util_populate_user_query_fields ()

## Properties

EClientCache * | client-cache | Read / Write / Construct
gint | minimum-query-length | Read / Write
gboolean | show-address | Read / Write

## Signals

void | updated | Run First

## Types and Values

struct | ENameSelectorEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkEntry
                    ╰── ENameSelectorEntry
                        ╰── ENameSelectorList

## Implemented Interfaces

ENameSelectorEntry implements AtkImplementorIface, GtkBuildable, GtkEditable, GtkCellEditable and EExtensible.

## Description

## Functions

### e_name_selector_entry_new ()

    GtkWidget *
    e_name_selector_entry_new (EClientCache *client_cache);

Creates a new ENameSelectorEntry.

#### Parameters

client_cache | an EClientCache |

#### Returns

A new ENameSelectorEntry.

### e_name_selector_entry_ref_client_cache ()

    EClientCache *
    e_name_selector_entry_ref_client_cache
                                   (ENameSelectorEntry *name_selector_entry);

Returns the EClientCache passed to `e_name_selector_entry_new()`.

The returned EClientCache is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

name_selector_entry | an ENameSelectorEntry |

#### Returns

an EClientCache

Since: 3.8

### e_name_selector_entry_set_client_cache ()

    void
    e_name_selector_entry_set_client_cache
                                   (ENameSelectorEntry *name_selector_entry,
                                    EClientCache *client_cache);

Sets the EClientCache used to query address books.

This function is intended for cases where `name_selector_entry` is instantiated by a GtkBuilder and has to be given an EClientCache after it is fully constructed.

#### Parameters

name_selector_entry | an ENameSelectorEntry |
client_cache | an EClientCache |

Since: 3.6

### e_name_selector_entry_get_minimum_query_length ()

    gint
    e_name_selector_entry_get_minimum_query_length
                                   (ENameSelectorEntry *name_selector_entry);

#### Parameters

name_selector_entry | an ENameSelectorEntry |

#### Returns

Minimum length of query before completion starts

Since: 3.6

### e_name_selector_entry_set_minimum_query_length ()

    void
    e_name_selector_entry_set_minimum_query_length
                                   (ENameSelectorEntry *name_selector_entry,
                                    gint length);

Sets minimum length of query before completion starts.

#### Parameters

name_selector_entry | an ENameSelectorEntry |
length | minimum query length |

Since: 3.6

### e_name_selector_entry_get_show_address ()

    gboolean
    e_name_selector_entry_get_show_address
                                   (ENameSelectorEntry *name_selector_entry);

#### Parameters

name_selector_entry | an ENameSelectorEntry |

#### Returns

Whether always show email address for an auto-completed contact.

Since: 3.6

### e_name_selector_entry_set_show_address ()

    void
    e_name_selector_entry_set_show_address
                                   (ENameSelectorEntry *name_selector_entry,
                                    gboolean show);

Sets whether always show email address for an auto-completed contact.

#### Parameters

name_selector_entry | an ENameSelectorEntry |
show | new value to set |

Since: 3.6

### e_name_selector_entry_peek_contact_store ()

    EContactStore *
    e_name_selector_entry_peek_contact_store
                                   (ENameSelectorEntry *name_selector_entry);

Gets the EContactStore being used by `name_selector_entry` .

#### Parameters

name_selector_entry | an ENameSelectorEntry |

#### Returns

An EContactStore.

### e_name_selector_entry_set_contact_store ()

    void
    e_name_selector_entry_set_contact_store
                                   (ENameSelectorEntry *name_selector_entry,
                                    EContactStore *contact_store);

Sets the EContactStore being used by `name_selector_entry` to `contact_store` .

#### Parameters

name_selector_entry | an ENameSelectorEntry |
contact_store | an EContactStore to use |

### e_name_selector_entry_peek_destination_store ()

    EDestinationStore *
    e_name_selector_entry_peek_destination_store
                                   (ENameSelectorEntry *name_selector_entry);

Gets the EDestinationStore being used to store `name_selector_entry` 's destinations.

#### Parameters

name_selector_entry | an ENameSelectorEntry |

#### Returns

An EDestinationStore.

### e_name_selector_entry_set_destination_store ()

    void
    e_name_selector_entry_set_destination_store
                                   (ENameSelectorEntry *name_selector_entry,
                                    EDestinationStore *destination_store);

Sets `destination_store` as the EDestinationStore to be used to store destinations for `name_selector_entry` .

#### Parameters

name_selector_entry | an ENameSelectorEntry |
destination_store | an EDestinationStore to use |

### e_name_selector_entry_get_popup_destination ()

    EDestination *
    e_name_selector_entry_get_popup_destination
                                   (ENameSelectorEntry *name_selector_entry);

Since: 2.32

### e_name_selector_entry_set_contact_editor_func ()

    void
    e_name_selector_entry_set_contact_editor_func
                                   (ENameSelectorEntry *name_selector_entry,
                                    gpointer func);

DO NOT USE.

### e_name_selector_entry_set_contact_list_editor_func ()

    void
    e_name_selector_entry_set_contact_list_editor_func
                                   (ENameSelectorEntry *name_selector_entry,
                                    gpointer func);

DO NOT USE.

### ens_util_populate_user_query_fields ()

    gchar *
    ens_util_populate_user_query_fields (GSList *user_query_fields,
                                         const gchar *cue_str,
                                         const gchar *encoded_cue_str);

Populates list of user query fields to string usable in query string. Returned pointer is either newly allocated string, supposed to be freed with g_free, or NULL if no fields defined.

Since: 2.24

## Types and Values

### struct ENameSelectorEntry

    struct ENameSelectorEntry;

## Property Details

### The `“client-cache”` property

      “client-cache”             EClientCache *

Cache of shared EClient instances.

Flags: Read / Write / Construct

### The `“minimum-query-length”` property

      “minimum-query-length”     gint

Flags: Read / Write

Allowed values: >= 1

Default value: 3

### The `“show-address”` property

      “show-address”             gboolean

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“updated”` signal

    void
    user_function (ENameSelectorEntry *enameselectorentry,
                   gpointer            arg1,
                   gpointer            user_data)

Flags: Run First